Bug 478250 - FEATURE: Transaction Failover
FEATURE: Transaction Failover
Status: NEW
Product: penrose
Classification: Retired
Component: Connectors (Show other bugs)
3.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 480246
  Show dependency treegraph
 
Reported: 2008-12-27 03:12 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:12:12 EST
In general LDAP is an atomic/single unit transaction. However, if Transaction Failover is configure Penrose implement an intelligent connection pooling mechanism so that if Penrose detect a transaction time out or fails on a node, it will retry to a different node. Penrose will attempts to repeat the transaction on each available node until all nodes have been exhausted. Only then is a failure returned to the client by Penrose. 

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Connectors',
                              'id' => '10059'
                            },
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-285',
          'assignee' => 'jimyang',
          'summary' => 'Transaction Failover',
          'id' => '10978',
          'updated' => '2008-03-06 09:51:29.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'In general LDAP is an atomic/single unit transaction. However, if Transaction Failover is configure Penrose implement an intelligent connection pooling mechanism so that if Penrose detect a transaction time out or fails on a node, it will retry to a different node. Penrose will attempts to repeat the transaction on each available node until all nodes have been exhausted. Only then is a failure returned to the client by Penrose. ',
          'created' => '2008-03-06 09:51:29.0',
          'type' => '2'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.